Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class SiteManager

    java.lang.Object
      org.eclipse.update.core.SiteManager

public class SiteManager
extends Object

Site Manager. A helper class used for creating site instance. Site manager is a singleton class. It cannot be instantiated; all functionality is provided by static methods.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `ISite`, `ILocalSite`, `IConfiguredSite`

Method Summary
`static long` | `getEstimatedTransferRate(URL site)` Returns an estimate of bytes per second transfer rate for this URL
`static String` | `getHttpProxyPort()` Returns the HTTP Proxy Port or `null` if none
`static String` | `getHttpProxyServer()` Returns the HTTP Proxy Server or `null` if none
`static ILocalSite` | `getLocalSite()` Returns the "local site".
`static String` | `getNL()` Returns current locale
`static String` | `getOS()` Returns operating system specification.
`static String` | `getOSArch()` Returns system architecture specification.
`static ISite` | `getSite(URL siteURL)` Deprecated. use getSite(URL,IPogressMonitor) instead
`static ISite` | `getSite(URL siteURL, boolean usesCache)` Deprecated. use getSite(URL,boolean,IPogressMonitor) instead
`static ISite` | `getSite(URL siteURL, boolean usesCache, IProgressMonitor monitor)` Returns a site object for the site specified by the argument URL.
`static ISite` | `getSite(URL siteURL, IProgressMonitor monitor)` Returns a site object for the site specified by the argument URL.
`static String` | `getWS()` Returns system architecture specification.
`static void` | `handleNewChanges()` Deprecated. Do not use this method
`static boolean` | `isHttpProxyEnable()` Returns `true` if the connection should use the http proxy server, `false` otherwise
`static void` | `setHttpProxyInfo(boolean enable, String httpProxyServer, String httpProxyPort)` Sets the HTTP Proxy information Sets the HTTP proxy server for the HTTP proxy server Sets the HTTP proxy port for the HTTP proxy server If the proxy name is `null` or the proxy port is `null` the connection will not use HTTP proxy server.
`static void` | `setNL(String nl)` Sets the nl.
`static void` | `setOS(String os)` Sets the os.
`static void` | `setOSArch(String arch)` Sets the arch.
`static void` | `setWS(String ws)` Sets the ws.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSite

    public static ISite getSite(URL siteURL)
                         throws CoreException

  Deprecated. use getSite(URL,IPogressMonitor) instead

  Returns a site object for the site specified by the argument URL. Typically, the URL references a site manifest file on an update site. An update site acts as a source of features for installation actions.

  Parameters:
    `siteURL` - site URL
  Returns:
    site object for the url
  Throws:
    `CoreException`
  Since:
    2.0

### getSite

    public static ISite getSite(URL siteURL,
                                IProgressMonitor monitor)
                         throws CoreException

  Returns a site object for the site specified by the argument URL. Typically, the URL references a site manifest file on an update site. An update site acts as a source of features for installation actions.

  Parameters:
    `siteURL` - site URL
    `monitor` - the progress monitor
  Returns:
    site object for the url or `null` in case a user canceled the connection in the progress monitor.
  Throws:
    `CoreException`
  Since:
    2.1

### getSite

    public static ISite getSite(URL siteURL,
                                boolean usesCache)
                         throws CoreException

  Deprecated. use getSite(URL,boolean,IPogressMonitor) instead

  Returns a site object for the site specified by the argument URL. Typically, the URL references a site manifest file on an update site. An update site acts as a source of features for installation actions.

  Parameters:
    `siteURL` - site URL
    `usesCache` - `false` if the cache should be refreshed, and the site entirely reparsed, `false` otherwise.
  Returns:
    site object for the url
  Throws:
    `CoreException`
  Since:
    2.0

### getSite

    public static ISite getSite(URL siteURL,
                                boolean usesCache,
                                IProgressMonitor monitor)
                         throws CoreException

  Returns a site object for the site specified by the argument URL. Typically, the URL references a site manifest file on an update site. An update site acts as a source of features for installation actions.

  Parameters:
    `siteURL` - site URL
    `usesCache` - `false` if the cache should be refreshed, and the site entirely reparsed, `false` otherwise.
    `monitor` - the progress monitor
  Returns:
    site object for the url or `null` in case a user canceled the connection in the progress monitor.
  Throws:
    `CoreException`
  Since:
    2.1

### getLocalSite

    public static ILocalSite getLocalSite()
                                   throws CoreException

  Returns the "local site". A local site is a logical collection of configuration information plus one or more file system installation directories, represented as intividual sites. These are potential targets for installation actions.

  Returns:
    the local site
  Throws:
    `CoreException`
  Since:
    2.0

### handleNewChanges

    public static void handleNewChanges()
                                 throws CoreException

  Deprecated. Do not use this method

  Trigger handling of newly discovered features. This method can be called by the executing application whenever it is invoked with the -newUpdates command line argument.

  Throws:
    `CoreException` - if an error occurs.
  Since:
    2.0

### getOSArch

    public static String getOSArch()

  Returns system architecture specification. A comma-separated list of arch designators defined by the platform. This information is used as a hint by the installation and update support.

  Returns:
    system architecture specification
  Since:
    2.1

### getOS

    public static String getOS()

  Returns operating system specification. A comma-separated list of os designators defined by the platform. This information is used as a hint by the installation and update support.

  Returns:
    the operating system specification.
  Since:
    2.1

### getWS

    public static String getWS()

  Returns system architecture specification. A comma-separated list of arch designators defined by the platform. This information is used as a hint by the installation and update support.

  Returns:
    system architecture specification.
  Since:
    2.1

### setOSArch

    public static void setOSArch(String arch)

  Sets the arch.

  Parameters:
    `arch` - The arch to set

### setOS

    public static void setOS(String os)

  Sets the os.

  Parameters:
    `os` - The os to set

### setWS

    public static void setWS(String ws)

  Sets the ws.

  Parameters:
    `ws` - The ws to set

### setNL

    public static void setNL(String nl)

  Sets the nl.

  Parameters:
    `nl` - The nl to set

### getEstimatedTransferRate

    public static long getEstimatedTransferRate(URL site)

  Returns an estimate of bytes per second transfer rate for this URL

  Parameters:
    `site` - the URL of the site
  Returns:
    long a bytes per second estimate rate
  Since:
    2.1

### getNL

    public static String getNL()

  Returns current locale

  Returns:
    the string name of the current locale or `null`
  Since:
    2.1

### getHttpProxyServer

    public static String getHttpProxyServer()

  Returns the HTTP Proxy Server or `null` if none

  Returns:
    the HTTP proxy Server

### getHttpProxyPort

    public static String getHttpProxyPort()

  Returns the HTTP Proxy Port or `null` if none

  Returns:
    the HTTP proxy Port

### isHttpProxyEnable

    public static boolean isHttpProxyEnable()

  Returns `true` if the connection should use the http proxy server, `false` otherwise

  Returns:
    is the http proxy server enable

### setHttpProxyInfo

    public static void setHttpProxyInfo(boolean enable,
                                        String httpProxyServer,
                                        String httpProxyPort)

  Sets the HTTP Proxy information Sets the HTTP proxy server for the HTTP proxy server Sets the HTTP proxy port for the HTTP proxy server If the proxy name is `null` or the proxy port is `null` the connection will not use HTTP proxy server.

  Parameters:
    `enable` - `true` if the connection should use an http proxy server, `false` otherwise.
    `httpProxyServer` - the HTTP proxy server name or IP adress
    `httpProxyPort` - the HTTP proxy port

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.